org.richfaces.resource

## Class CachedResourceImpl

- java.lang.Object
- - javax.faces.application.ViewResource
  - - javax.faces.application.Resource
    - - org.richfaces.resource.AbstractBaseResource
      - - org.richfaces.resource.AbstractCacheableResource
        - - org.richfaces.resource.CachedResourceImpl

- All Implemented Interfaces:
    CacheableResource

      public class CachedResourceImpl
      extends AbstractCacheableResource

  Since:
    4.0
  Author:
    Nick Belaevski

- - ### Field Summary

    - ### Fields inherited from class org.richfaces.resource.AbstractBaseResource

      `URL_PROTOCOL`

    - ### Fields inherited from class javax.faces.application.Resource

      `COMPONENT_RESOURCE_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CachedResourceImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getEntityTag(javax.faces.context.FacesContext context)`
    `Date` | `getExpired(javax.faces.context.FacesContext context)`
    `InputStream` | `getInputStream()`
    `protected Date` | `getLastModified(javax.faces.context.FacesContext context)` TODO optimize/review?
    `String` | `getRequestPath()`
    `Map<String,String>` | `getResponseHeaders()`
    `URL` | `getURL()`
    `void` | `initialize(javax.faces.application.Resource resource)`
    `boolean` | `isCacheable(javax.faces.context.FacesContext context)`
    `String` | `toString()`

    - ### Methods inherited from class org.richfaces.resource.AbstractCacheableResource

      `addCacheControlResponseHeaders, getExpires, getTimeToLive, isMatchesEntityTag, isMatchesEntityTag, isMatchesLastModified, isMatchesLastModified, setCacheable, userAgentNeedsUpdate`

    - ### Methods inherited from class org.richfaces.resource.AbstractBaseResource

      `addNoCacheResponseHeaders, getClassLoader, getContentLength`

    - ### Methods inherited from class javax.faces.application.Resource

      `getContentType, getLibraryName, getResourceName, setContentType, setLibraryName, setResourceName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CachedResourceImpl

          public CachedResourceImpl()

  - ### Method Detail

    - #### initialize

          public void initialize(javax.faces.application.Resource resource)
                          throws IOException

      Throws:
        `IOException`

    - #### getInputStream

          public InputStream getInputStream()
                                     throws IOException

      Specified by:
        `getInputStream` in class `javax.faces.application.Resource`
      Throws:
        `IOException`

    - #### getRequestPath

          public String getRequestPath()

      Overrides:
        `getRequestPath` in class `AbstractBaseResource`

    - #### getResponseHeaders

          public Map<String,String> getResponseHeaders()

      Overrides:
        `getResponseHeaders` in class `AbstractBaseResource`

    - #### getURL

          public URL getURL()

      Overrides:
        `getURL` in class `AbstractBaseResource`

    - #### isCacheable

          public boolean isCacheable(javax.faces.context.FacesContext context)

      Specified by:
        `isCacheable` in interface `CacheableResource`
      Overrides:
        `isCacheable` in class `AbstractCacheableResource`

    - #### getEntityTag

          public String getEntityTag(javax.faces.context.FacesContext context)

      Specified by:
        `getEntityTag` in interface `CacheableResource`
      Overrides:
        `getEntityTag` in class `AbstractCacheableResource`

    - #### getLastModified

          protected Date getLastModified(javax.faces.context.FacesContext context)

      Description copied from class: `AbstractBaseResource`
      TODO optimize/review?
      Overrides:
        `getLastModified` in class `AbstractBaseResource`
      Returns:
        Returns the lastModified.

    - #### getExpired

          public Date getExpired(javax.faces.context.FacesContext context)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `javax.faces.application.Resource`

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.